### Method

# GdkX11 X11Screenget_current_desktop

#### Declaration [src]

    guint32
    gdk_x11_screen_get_current_desktop (
      GdkX11Screen* screen
    )

#### Description [src]

Returns the current workspace for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

#### Return value

Type: `guint32`

The current workspace, or 0 if workspaces are not supported.